@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap");

:root {
  --blue-dark: #004159;
  --blue-light: #bee5f4;
  --red-dark: #B22A2A;
  --green-dark: #005F40;
  --max-width: 1000px;
  --max-width-hero: 1800px;
  --transition-duration: 0.3s;
  --mobile-max-width: 768px;
  --padding-x: 1rem;

  --navbar-height: 65px;
  --navbar-background-color: var(--blue-dark);
  --navbar-color-hover: var(--blue-light);
  --navbar-transition-duration: var(--transition-duration);
  --navbar-padding: var(--padding-x);

  --tooltip-background-color: #FFFFFF;
  --tooltip-color: var(--blue-dark);
  --tooltop-font-size: 1.25rem;
}

/* General */

body, textarea, input {
  font-family: "Poppins", sans-serif;
  color: var(--blue-dark);
}

* {
  scroll-behavior: smooth;
}

a {
  color: var(--blue-dark);
}

.text-large {
  font-size: 1.25rem;
}

h1 {
  text-align: center;
  margin-bottom: 0.5rem;
}

.bg-blue-dark {
  background-color: var(--blue-dark);
  color: #FFFFFF;
}

.bg-blue-light {
  background-color: var(--blue-light);
}

/* Reusable styles */

.container, .container-small {
  width: 100%;
  padding-left: var(--padding-x);
  padding-right: var(--padding-x);
  margin-left: auto;
  margin-right: auto;
}

.container {
  max-width: var(--max-width);
}

.container-small {
  max-width: calc(var(--max-width) / 2 + 2 * var(--padding-x));
}

img.white {
  filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(175deg) brightness(104%) contrast(101%);
}

@media (hover: hover) {
  a:hover img.white {
    filter: invert(90%) sepia(19%) saturate(594%) hue-rotate(166deg) brightness(97%) contrast(97%);
    transition: filter var(--transition-duration);
  }
}

.padding-y, .padding-top {
  padding-top: 3rem;
}

.padding-y, .padding-bottom {
  padding-bottom: 3rem;
}

.align-center {
  text-align: center;
}

.flex-center {
  display: flex;
  justify-content: center;
}

.marker {
  background-image: linear-gradient(
    to right,
    rgba(190, 229, 244, 0.1),
    rgba(190, 229, 244, 0.7) 4%,
    rgba(190, 229, 244, 0.3)
  );
  margin: 0 -5px;
  padding: 0 5px;
  background-repeat: no-repeat;
  background-size: 100% 60%;
  background-position: bottom right;
}

.italic {
  font-style: italic;
}

.bg-blue-light .marker {
  background-image: linear-gradient(
    to right,
    rgba(0, 113, 157, 0.05),
    rgba(0, 113, 157, 0.3) 4%,
    rgba(0, 113, 157, 0.1)
  );
}

/* Reusable components */

.spinner {
  display: inline-block;
  width: 2rem;
  height: 2rem;
  border: 5px solid;
  border-color: var(--blue-dark);
  border-radius: 50%;
  border-top-color: transparent;
  animation: spinner-animation 1s ease-in-out infinite;
}

@keyframes spinner-animation {
  to { transform: rotate(360deg); }
}

.social-links {
  display: flex;
  gap: 0.75rem;
}

.social-links img {
  height: 3.5rem;
}

.spotify-include {
  width: 100%;
  height: 352px;
}

@media (max-width: 768px) {
  .spotify-include {
    height: 232px;
  }
}

/* see https://stackoverflow.com/a/13184714 */
.anchor {
  display: block;
  position: relative;
  top: calc(-1 * var(--navbar-height));
  visibility: hidden;
}

/* Quote */

.quote img {
  height: 2rem;
}

.quote blockquote {
  margin-top: 1rem;
  margin-bottom: 0.5rem;
  font-size: 1.75rem;
}

.quote .author {
  font-style: italic;
  font-size: 1.25rem;
}

@media (max-width: 768px) {
  .quote blockquote {
    font-size: 1.25rem;
  }

  .quote .author {
    font-size: 1.125rem;
  }
}

/* Header (Navbar) */

header {
  position: sticky;
  top: 0;
  z-index: 9999;
}

.navbar {
  max-width: var(--max-width);
  margin-left: auto;
  margin-right: auto;
  font-size: 1.125rem;
  font-weight: bold;
  text-transform: uppercase;
}

#logo-in-navbar {
  opacity: 0;
  transition: opacity var(--transition-duration);
}

.navbar .logo img {
  height: 2.5rem;
}

@media (min-width: 769px) {
  .mobile {
    display: none;
  }
}

@media (min-width: 769px) {

  nav a::after {
    content: '';
    display: block;
    width: 0;
    height: 2px;
    background: var(--blue-light);
    transition: width var(--transition-duration);
  }

  nav a:hover::after {
    width: 100%;
  }

}

/* Hero */

.hero {
  width: 100%;
  height: calc(100vh - var(--navbar-height));
  max-height: 120vw;
}

.hero-background {
  width: 100%;
  max-width: var(--max-width-hero);
  margin-left: auto;
  margin-right: auto;
  height: 100%;
  background: url('img/eveline-bosshard.jpg');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: bottom right;
  display: flex;
  align-items: end;
}

.hero .logo {
  height: 20rem;
}

.hero h1 {
  text-align: left;
  text-transform: none;
  margin: 0;
  font-size: 5rem;
}

.hero h2 {
  margin: 0;
  margin-top: 0.25rem;
  font-size: 3.5rem;
}

.hero h3 {
  margin: 0;
  margin-top: 0.5rem;
  margin-bottom: 1rem;
  font-size: 2rem;
}

@media (max-width: 1400px) {
  .hero-background {
    background-position: bottom right -120px;
  }
}

@media (max-width: 768px) {
  .hero-background {
    background-position: bottom right -120px;
  }

  .hero .logo {
    height: 8rem;
  }

  .hero h1 {
    font-size: 2rem;
  }

  .hero h2 {
    font-size: 1.5rem;
  }

  .hero h3 {
    font-size: 1.25rem;
  }
}

.space {
  margin: 0.75rem 0;
}

@media (min-width: 769px) {
  .text-lg {
    font-size: 1.125rem;
  }
}

/* Gallery */
.gallery {
  margin-top: 2rem;
  display: flex;
  gap: 0.25rem;
  justify-content: center;
}

.gallery img {
  border-radius: 0.25rem;
  width: 33%;
}

/* Dates */

#past-events h2 {
  margin-top: 2rem;
  margin-bottom: 0.5rem;
}

#past-events td {
  padding: 0 0.25rem;
  vertical-align: top;
}

#past-events tr td:first-of-type {
  text-align: right;
}

.event {
  margin-top: 1rem;
  border: 1px solid #004159;
  border-radius: 0.5rem;
  overflow: hidden;
  display: flex;
}

.event .date {
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-width: 80px;
  background-color: var(--blue-dark);
  color: #FFFFFF;
  text-align: center;
  padding: 0.5rem;
}

.event .date .day {
  font-weight: bold;
  font-size: 3rem;
  line-height: 3rem;
}

.event .date .month {
  font-size: 1.5rem;
  line-height: 1.5rem;
}

.event .info {
  padding: 0.5rem;
}

.event .info .time,
.event .info .location {
  display: flex;
  align-items: center;
  font-size: 0.875rem;
}

.event .info img {
  height: 0.875rem;
  padding-right: 0.25rem;
}

.event .info .title {
  padding-bottom: 0.25rem;
  font-size: 1.125rem;
}

@media (max-width: 768px) {

  .event .info .time,
  .event .info .location {
    font-size: 0.875rem;
  }

  .event .info .title {
    font-size: 1rem;
  }
}

/* Footer */

footer {
  display: flex;
  flex-direction: column;
  align-items: center;
}

footer > div {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.copyright {
  margin-top: 1rem;
}
